Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 666032 - sci-biology/embassy-iprscan: Validate DEPEND on virtual/mysql
Summary: sci-biology/embassy-iprscan: Validate DEPEND on virtual/mysql
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Science Biology related packages
URL:
Whiteboard:
Keywords:
Depends on: 677592
Blocks: 763480
  Show dependency tree
 
Reported: 2018-09-12 17:35 UTC by Brian Evans
Modified: 2021-01-04 02:27 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Evans Gentoo Infrastructure gentoo-dev 2018-09-12 17:35:40 UTC
THIS IS A MASS FILING TO ALL PACKAGE WITH A DEPEND ON virtual/mysql

As was announced on the gentoo-dev-announce mailing list[1],
virtual/mysql is no longer viable to depend on providing the client libraries
or the mysql_config tool.

Most uses of DEPEND="virtual/mysql" (or conditionals based upon it) will not
work in the future.

If this package (optionally) depends on libmysqlclient.so* or mysql_config for
building, you will need to have dev-db/mysql-connector-c as the DEPEND/RDEPEND.

If this package (optionally) depends on libmariadb.so* or mariadb_config for
building, you will need to have dev-db/mariadb-connector-c as the
DEPEND/RDEPEND.

If this package requires the server running locally, virtual/mysql is
acceptible for RDEPEND and only in DEPEND when tests demand it.

The rare exception when server only files are required at build time should you
keep a compatible server listed.

After 60 days, roughly mid-October 2018, remaining packages will be forcefully
changed to mysql-connector-c with little or no testing. The server packages
will drop their compatibility DEPEND shortly after.

[1] https://archives.gentoo.org/gentoo-dev-announce/message/618f39bce863911d8955ee9f83636ca4
Comment 1 Larry the Git Cow gentoo-dev 2019-02-18 15:17:41 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cd4f85a1ef9b333d30cc1a3bd1e3f0bf8e4d9ecf

commit cd4f85a1ef9b333d30cc1a3bd1e3f0bf8e4d9ecf
Author:     Brian Evans <grknight@gentoo.org>
AuthorDate: 2019-02-18 15:14:26 +0000
Commit:     Brian Evans <grknight@gentoo.org>
CommitDate: 2019-02-18 15:14:26 +0000

    eclass: Update mysql dependency in emboss-r2
    
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=677592
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=666016
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=666018
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=666020
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=666022
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=666024
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=666026
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=666028
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=666030
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=666032
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=666034
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=666036
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=666038
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=666040
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=666042
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=666044
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=666046
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=666048
    Signed-off-by: Brian Evans <grknight@gentoo.org>

 eclass/emboss-r2.eclass | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)